Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Class UnitPriceImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.axiom.units.UnitPriceImpl

All Implemented Interfaces
  UnitPrice, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated

    @Deprecated
    public class UnitPriceImpl

extends BelongingImpl
implements UnitPrice, Cloneable

Combines a unit and a price to provide a mechanism for recording pricing and pricing strategies. It also provides features for converting prices between units.

See Also
  `UnitPrice`, `UnitPriceHome`, Serialized Form

Field Summary
`Price` | `price` Deprecated The price component of the UnitPrice.
`Unit` | `unit` Deprecated The unit component of the UnitPrice.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`UnitPriceImpl()` Deprecated

Method Summary
`int` | `compareTo(Object o)` Deprecated Compare this belonging to another
`UnitPrice` | `convert(Unit newUnit)` Deprecated Return a new UnitPrice that maintains the Price/Unit ratio with the newly specified unit.
`void` | `convertInPlace(Unit newUnit)` Deprecated Translate the UnitPrice into the new Units maintaining the Price/Unit ratio.
`Price` | `getPrice()` Deprecated Get the value of price
`Unit` | `getUnit()` Deprecated Get the value of unit
`String` | `interfaceName()` Deprecated interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` Deprecated It is possible to call set-by-value with a superclass.
`void` | `setPrice(Price price)` Deprecated Set the value of price
`void` | `setUnit(Unit unit)` Deprecated Set the value of unit
`Belonging` | `value()` Deprecated value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### price

    public Price price

  Deprecated
  The price component of the UnitPrice.
  - Containment: By Value
  - Multiplicity: 1:1

### unit

    public Unit unit

  Deprecated
  The unit component of the UnitPrice.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### UnitPriceImpl

    public UnitPriceImpl()

  Deprecated

Method Detail

### getPrice

    public Price getPrice()

  Deprecated
  Get the value of price

  Specified by:
    `getPrice` in interface `UnitPrice`
  Returns
    price.

### setPrice

    public void setPrice(Price price)

  Deprecated
  Set the value of price

  Specified by:
    `setPrice` in interface `UnitPrice`
  Parameters
    `price` - price to be added

### getUnit

    public Unit getUnit()

  Deprecated
  Get the value of unit

  Specified by:
    `getUnit` in interface `UnitPrice`
  Returns
    unit.

### setUnit

    public void setUnit(Unit unit)

  Deprecated
  Set the value of unit

  Specified by:
    `setUnit` in interface `UnitPrice`
  Parameters
    `unit` - unit to be added

### value

    public Belonging value()

  Deprecated
  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated
  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated
  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated
  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

### convert

    public UnitPrice convert(Unit newUnit)
                      throws InvalidUnitException

  Deprecated
  Return a new UnitPrice that maintains the Price/Unit ratio with the newly specified unit.

  Specified by:
    `convert` in interface `UnitPrice`
  Throws
    `InvalidUnitException`

### convertInPlace

    public void convertInPlace(Unit newUnit)
                        throws InvalidUnitException

  Deprecated
  Translate the UnitPrice into the new Units maintaining the Price/Unit ratio.

  Specified by:
    `convertInPlace` in interface `UnitPrice`
  Throws
    `InvalidUnitException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.